html {
  box-sizing: border-box;
}
body {
  margin: 0;
}
img {
  max-width: 100%;
}
a {
  text-decoration: none;
}
*,
*:before,
*:after {
  box-sizing: inherit;
}
.body {
  font-family: "Roboto", sans-serif;
  background-color: #ffffff;
}
.main-container {
  width: auto;
  min-height: 100vh;
  background: url("../img/background\ 1.png") center;
  background-size: cover;
  position: relative;
}
.container {
  width: 1030px;
  margin: 0 auto;
}
/*header*/
.container .header-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-content: space-between;
  padding: 45px 0 15px 0;
}
/*header-logo*/
.container .header-container .logo a {
  width: min-content;
  padding-top: 3px;
  display: grid;
  justify-content: start;
  grid-template-columns: 60px 100px;
}
.container .header-container .logo a .hidden-logo {
  position: relative;
  width: 53px;
  height: 47px;
  overflow: hidden;
}
.container .header-container .logo a .hidden-logo .orange-logo {
  position: absolute;
  top: -50px;
}
.container .header-container .logo a .milan {
  letter-spacing: 1.5px;
  font-weight: bold;
  font-size: 29px;
  color: #ffffff;
}
.container .header-container .logo a .holidays {
  font-weight: bold;
  font-size: 18px;
  color: #ffffff;
}

/*header-contacts*/
.container .header-container .contacts {
  display: grid;
  grid-template-rows: repeat(2, 1fr);
  justify-items: end;
  font-size: 18px;
}
.container .header-container .contacts a {
  color: #ffffff;
  align-self: center;
}

/*header hover-reaction*/
.container .header-container .logo a:hover .milan,
.container .header-container .logo a:hover .holidays {
  color: #f26522;
}
.container .header-container .logo a:hover .hidden-logo .white-logo {
  position: absolute;
  top: -50px;
}
.container .header-container .logo a:hover .hidden-logo .orange-logo {
  position: absolute;
  top: 0;
}
.container .header-container .contacts a:hover {
  color: #f26522;
}

/*services*/
.container .services {
  display: grid;
  grid-template-columns: repeat(3, 300px);
  grid-template-rows: repeat(2, 261px);
  column-gap: 64px;
  row-gap: 35px;
}

.container .services .window a {
  display: grid;
  grid-template-rows: 220px 16px;
  position: relative;
  row-gap: 18px;
  font-size: 18px;
  color: #ffffff;
  justify-items: center;
}

.container .services .window a .window-image {
  border: 2px solid #000;
  border-image: linear-gradient(to bottom right, #000, #fff);
  border-image-slice: 1;
  position: relative;
  overflow: hidden;
}

/*hidden menu*/
.container .services .window a .window-image .hidden-menu {
  border: none;
  height: 55px;
  width: 298px;
  padding: 10px 35px 5px 15px;
  background-color: #f26522;
  position: absolute;
  bottom: -55px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.container .services .window a .window-image .hidden-menu .left-bar {
  display: flex;
  flex-direction: column;
}
.container .services .window a .window-image .hidden-menu .left-bar .from {
  font-size: 10px;
  line-height: 15px;
  color: #ffffff;
}
.container .services .window a .window-image .hidden-menu .left-bar .price {
  font-size: 20px;
  line-height: 25px;
  color: #ffffff;
}
.container .services .window a .window-image .hidden-menu .details {
  font-size: 14px;
  line-height: 20px;
  color: #ffffff;
  align-self: flex-end;
  padding-right: 30px;
  position: relative;
}
.container .services .window a .window-image .hidden-menu .details::after {
  content: "";
  position: absolute;
  bottom: 6px;
  right: 0;
  width: 7px;
  height: 7px;
  border-bottom: 1px solid #fff;
  border-right: 1px solid #fff;
  transform: rotate(-45deg);
}
/*service hover reactions*/
.container .services .window a:hover .hidden-menu {
  bottom: 0px;
  transition: bottom 0.33s;
}
.container .services .window a:hover {
  color: #f26522;
}
/*footer*/
.container .footer {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 40px;
}
.container .footer .copyright {
  font-size: 12px;
  line-height: 40px;
  color: #fff;
}
